Edit me

Communote has the following software requirements:

  • 32-bit or 64-bit Linux or Windows system
  • Oracle’s Java 8 runtime environment
  • a database management system. Supported are
    • PostgreSQL 9.3
    • MySQL 5.6
    • Microsoft SQL-Server 2012
    • Oracle 11g
  • depending on the installation package: Apache Tomcat server
    • if you choose the WAR file based installation a Tomcat server is required. Although Tomcat 7 should work, we recommend a current Tomat 8.0.x.
  • optional: an Apache HTTP server (version 2.2.5 or newer) can be installed in front of the Tomcat server

The following hardware requirements are recommended:

  • 64bit Dual core system
  • 10 – 100 GiB data storage (The actual size depends on the usage of the file upload feature. The installation takes less than 1 GiB.)
  • 2 GiB of RAM
Tags: installation